Uploaded image for project: 'Magnolia UI'
  1. Magnolia UI
  2. MGNLUI-3359

Make sure Magnolia 5.4 runs on Edge mode again in IE10/11

XMLWordPrintable

    • Icon: Improvement Improvement
    • Resolution: Fixed
    • Icon: Neutral Neutral
    • 5.4.1
    • 5.4
    • admincentral
    • Sprint 5 (Basel)
    • 5

      In MGNLUI-3249 we enforced IE compatibility mode to IE9.
      Vaadin 7.1 default was IE10 compatibility, but that was not enough for us it seems. There were major issues either in launching apps, or using page-editor.

      Now in 5.4, we upgraded to Vaadin 7.4.7 so far, where GWT now has proper support for IE11 in Edge mode. We should simply make sure this runs smoothly — and subsequently remove the IE9-mode fix in our BootstrapListener in AdmincentralVaadinServlet.

      In particular, we currently encounter an issue in Edge mode in the initial loading of the webapp: a JSON parsing error occurring in vaadinBootstrap.js.

        Acceptance criteria

          1. Win7IE11.jpg
            Win7IE11.jpg
            619 kB
          2. Win7IE11.jpg
            Win7IE11.jpg
            527 kB
          3. Win8IE11.jpg
            Win8IE11.jpg
            1.05 MB

              ilgun Ilgun Ilgun
              mgeljic Mikaël Geljić
              Votes:
              0 Vote for this issue
              Watchers:
              2 Start watching this issue

                Created:
                Updated:
                Resolved:

                  Estimated:
                  Original Estimate - Not Specified
                  Not Specified
                  Remaining:
                  Remaining Estimate - 0d
                  0d
                  Logged:
                  Time Spent - 0.5d
                  0.5d